- Qt 5.15
- Qt 3D
- C++ Classes
- QLevelOfDetailSwitch
- Qt 5.15.11 Reference Documentation

# QLevelOfDetailSwitch Class

class Qt3DRender::QLevelOfDetailSwitch

Provides a way of enabling child entities based on distance or screen size. More...

Header: | #include <QLevelOfDetailSwitch>
qmake: | QT += 3drender
Since: | Qt 5.9
Instantiated By: | LevelOfDetailSwitch
Inherits: | Qt3DRender::QLevelOfDetail

This class was introduced in Qt 5.9.

- List of all members, including inherited members

## Public Functions

| QLevelOfDetailSwitch(Qt3DCore::QNode *parent = nullptr)

## Detailed Description

This component is assigned to an entity. When the entity changes distance relative to the camera, the QLevelOfDetailSwitch will disable all the child entities except the one matching index Qt3DRender::QLevelOfDetailSwitch::currentIndex.

## Member Function Documentation

### QLevelOfDetailSwitch::QLevelOfDetailSwitch(Qt3DCore::QNode *parent = nullptr)

Constructs a new QLevelOfDetailSwitch with the specified parent.